### Method

# Gegl Pathset_matrix

#### Declaration [src]

    void
    gegl_path_set_matrix (
      GeglPath* path,
      GeglMatrix3* matrix
    )

#### Description [src]

Set the transformation matrix of the path.

The path is transformed through this matrix when being evaluated, causing the calculated positions and length to be changed by the transform.

#### Parameters

`matrix`

  Type: `GeglMatrix3`

  A `GeglMatrix3` to copy the matrix from.

  The data is owned by the caller of the method.